Bug 884868 - [abrt] gnome-dvb-daemon-0.2.8-1.fc17: types.py:43:function:GError: Timeout was reached
Summary: [abrt] gnome-dvb-daemon-0.2.8-1.fc17: types.py:43:function:GError: Timeout wa...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-dvb-daemon
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:faa6a043c179645b9eddbf8a8e4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-06 21:39 UTC by Simon Handy
Modified: 2013-07-31 21:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-31 21:20:53 UTC
Type: ---


Attachments (Terms of Use)
File: dso_list (30 bytes, text/plain)
2012-12-06 21:39 UTC, Simon Handy
no flags Details
File: environ (1.59 KB, text/plain)
2012-12-06 21:39 UTC, Simon Handy
no flags Details
File: executable (24 bytes, text/plain)
2012-12-06 21:39 UTC, Simon Handy
no flags Details
File: smolt_data (2.39 KB, text/plain)
2012-12-06 21:39 UTC, Simon Handy
no flags Details
File: core_backtrace (610 bytes, text/plain)
2012-12-06 21:39 UTC, Simon Handy
no flags Details

Description Simon Handy 2012-12-06 21:39:06 UTC
Description of problem:
I plugged in Freecom DVB-T USB Stick
I opened movie player
I opened edit -> Digital TV Preferences
I lauched Setup digital TV
I chose my device
I chose United  Kingdom and Winterhill
I pressed "continue"


Version-Release number of selected component:
gnome-dvb-daemon-0.2.8-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        python /usr/bin/gnome-dvb-setup
kernel:         3.6.8-2.fc17.x86_64

backtrace:
:types.py:43:function:GError: Timeout was reached
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/gnomedvb/ui/wizard/SetupWizard.py", line 155, in on_prepare
:    self.__adapter_info["frontend"], self.tuning_data_page.get_tuning_data ())
:  File "/usr/lib/python2.7/site-packages/gnomedvb/ui/wizard/pages/ChannelScanPage.py", line 173, in start_scanning
:    self._scanner = self._model.get_scanner_for_device(adapter, frontend)
:  File "/usr/lib/python2.7/site-packages/gnomedvb/DBusWrapper.py", line 95, in get_scanner_for_device
:    objpath, scanner_iface, success = self.manager.GetScannerForDevice ('(uu)', adapter, frontend)
:  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gio.py", line 148, in __call__
:    kwargs.get('flags', 0), kwargs.get('timeout', -1), None)
:  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 43, in function
:    return info.invoke(*args, **kwargs)
:GError: Timeout was reached
:
:Local variables in innermost frame:
:info: <gi.FunctionInfo object (call_sync) at 0x0x7f34075081b8>
:args: (<DBusProxy object at 0x1784910 (GDBusProxy at 0x182e5b0)>, 'GetScannerForDevice', <GLib.Variant((uint32 0, uint32 0))>, 0, -1, None)
:kwargs: {}

Comment 1 Simon Handy 2012-12-06 21:39:10 UTC
Created attachment 659061 [details]
File: dso_list

Comment 2 Simon Handy 2012-12-06 21:39:13 UTC
Created attachment 659062 [details]
File: environ

Comment 3 Simon Handy 2012-12-06 21:39:15 UTC
Created attachment 659063 [details]
File: executable

Comment 4 Simon Handy 2012-12-06 21:39:18 UTC
Created attachment 659064 [details]
File: smolt_data

Comment 5 Simon Handy 2012-12-06 21:39:21 UTC
Created attachment 659065 [details]
File: core_backtrace

Comment 6 Simon Handy 2012-12-06 21:43:58 UTC
Following seen in /var/log/messages at time of failure:

Dec  6 21:18:26 vmpooter kernel: [  324.302776] dtv_property_legacy_params_sync: doesn't know how to handle a DVBv3 call to delivery system 0
Dec  6 21:19:01 vmpooter abrt: detected unhandled Python exception in '/usr/bin/gnome-dvb-setup'
Dec  6 21:19:04 vmpooter kernel: [  361.961015] dvb_frontend_ioctl_legacy: doesn't know how to handle a DVBv3 call to delivery system 0

Thanks.

Comment 7 Fedora End Of Life 2013-07-03 20:51:24 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2013-07-31 21:20:56 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.